
{% load i18n %}
{% load staticfiles %}
{% block extra_head %}
<link rel="stylesheet" type="text/css" href="{% static 'theme/plugins/codemirror/codemirror.css' %}">
<link href="{% static 'theme/plugins/c3/c3.min.css' %}" rel="stylesheet" type="text/css">
{% endblock extra_head %}

{% block page %}
<!DOCTYPE html>
<html>
	<head>
		<title>CodeMirror</title>
	</head>
	<body>
		<div id="codeeditor"></div>

		<!-- javascript -->
	</body>
</html>
<script type="text/javascript" src="{% static 'theme/plugins/codemirror/codemirror.js' %} "></script>
<script type="text/javascript" src="{% static 'theme/plugins/jquery/dist/jquery.min.js' %}"></script>
<script type="text/javascript" src="{% static 'theme/plugins/codemirror/python.js' %}"></script>
{% endblock %}
{% block pageleveljs %}
<script>
   CodeMirror(document.getElementById("codeeditor"), {
  lineNumbers: true,
  indentUnit: 4,
  mode: 'python',
});
</script>
{% endblock %}

